Name: rlog13
Summary: Runtime Logging for C++
Version: 1.3.7
Release: alt7
License: LGPL
Group: Development/C++
Url: http://pobox.com/~vgough/rlog

Packager: Denis Smirnov <mithraen@altlinux.ru>

Source: rlog.tar

# Automatically added by buildreq on Wed Oct 18 2006
BuildRequires: doxygen gcc-c++ tetex-latex

Patch: rlog.gcc43.patch
Patch2: rlog.char.const.patch

%description
RLog provides a flexible message logging facility for C++ programs and
libraries.  It is meant to be fast enough to leave in production code.

%package -n librlog13
Group: %group
Summary: %summary

Conflicts: rlog < %version-%release
Conflicts: rlog > %version-%release
Obsoletes: rlog < %version-%release
Provides: rlog = %version-%release

%description -n librlog13
RLog provides a flexible message logging facility for C++ programs and
libraries.  It is meant to be fast enough to leave in production code.

%package -n librlog13-devel
Group: %group
Summary: %summary
Requires: librlog13 = %version-%release

Provides: librlog-devel = %version-%release
Conflicts: librlog-devel < %version-%release
Conflicts: librlog-devel > %version-%release

Conflicts: rlog < %version-%release
Conflicts: rlog > %version-%release

%description -n librlog13-devel
RLog provides a flexible message logging facility for C++ programs and
libraries.  It is meant to be fast enough to leave in production code.

%package -n librlog13-devel-doc
Group: %group
Summary: %summary

BuildArch: noarch

Provides: librlog-devel-doc = %version-%release
Conflicts: librlog-devel-doc < %version-%release
Conflicts: librlog-devel-doc > %version-%release

Conflicts: rlog < %version-%release
Conflicts: rlog > %version-%release

%description -n librlog13-devel-doc
RLog provides a flexible message logging facility for C++ programs and
libraries.  It is meant to be fast enough to leave in production code.

%prep
%setup -q -c %name
%patch -p2
%patch2 -p2

%build
%configure
%make_build

%install
%make_build DESTDIR=%buildroot install

%files -n librlog13-devel-doc
%_docdir/rlog

%files -n librlog13-devel
%_libdir/librlog.so
%_pkgconfigdir/*
%_includedir/rlog

%files -n librlog13
%_libdir/librlog.so.*

%changelog
* Wed Jul 22 2009 Denis Smirnov <mithraen@altlinux.ru> 1.3.7-alt7
- fix build

* Thu Dec 18 2008 Denis Smirnov <mithraen@altlinux.ru> 1.3.7-alt6
- add conflicts to librlog14-devel-doc

* Sat Nov 22 2008 Denis Smirnov <mithraen@altlinux.ru> 1.3.7-alt5
- fix requires/conflicts/obsoletes for correct rlog replacement

* Thu Nov 20 2008 Denis Smirnov <mithraen@altlinux.ru> 1.3.7-alt4
- split to subpackages librlog13/librlog13-devel/librlog13-devel-doc

* Wed Oct 29 2008 Denis Smirnov <mithraen@altlinux.ru> 1.3.7-alt3
- fix build with gcc 4.3

* Wed Oct 18 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.7-alt2
- try to fix x86_64 build

* Tue Oct 17 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3.7-alt1
- version update
- rebuild with gcc 4.1 (instead of 3.4)

* Fri Feb 11 2005 Denis Smirnov <mithraen@altlinux.ru> 1.3.6-alt1
- version update

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.3.4-alt1.1
- Rebuilt with libstdc++.so.6.

* Thu Oct 28 2004 Denis Smirnov <mithraen@altlinux.ru> 1.3.4-alt1
- sisyphus build

* Mon May 31 2004 Valient Gough <vgough@pobox.com>
- Release v1.3.4
- Portibility changes to allow rlog to build with older C++ compilers and on
  non-x86 computers.
- Add extra ERROR_FMT() macro which allows format string to be passed on Error
  construction.
- Add valgrind support to allow valgrind trace from any assert when running
  under valgrind.
- Update admin dir.
* Sat Mar 13 2004 Valient Gough <vgough@pobox.com>
- Release v1.3.1
- added pkg-config file librlog.pc
- changed license to LGPL
- added rAssertSilent macro
- fixes for special case checks of printf attribute
* Sat Feb 8 2004 Valient Gough <vgough@pobox.com>
- Release v1.3
